Delete a skill

Server: https://{kibana_url}
  • DELETE /api/agent_builder/skills/{skillId}
  • DELETE /s/{space_id}/api/agent_builder/skills/{skillId}

Refer to Spaces for more information.

Delete a user-created skill by ID. If agents still reference the skill, the request returns 409 unless force=true, which removes the skill from agents first. Built-in skills cannot be deleted. To learn more about Agent Builder skills, refer to the skills documentation.

[Required authorization] Route required privileges: agentBuilder:manageSkills.

Path Parameters

skillId string · min: 1 · max: 512 required

The unique identifier of the skill.

Query Parameters

force boolean · default: false

If true, removes the skill from agents that use it and then deletes it. If false and any agent uses the skill, the request returns 409 Conflict with the list of agents.

Response

200

Indicates a successful response

application/json